//Bliss Terminal System Shell
//Sophie Spaan 2022 (6-4-22) start date
//Terminal Ver. Alpha 0.0.1 Indev
#include <stdio.h>
#include <string.h>
#include <stdlib.h>

int helpGuide() {
    //help guide is only broken up for formatting purposes. Eventually condense to 1 loc!
    printf("Help Guide\n");
    printf("+-----+---------------------+\n");
    printf("|edit | Launch BlEdit       |\n");
    printf("|cls  | Clears terminal     |\n");
    printf("|echo | Display ECHO status |\n");
    printf("|exit | Ends session        |\n");
    printf("|help | Displays this guide |\n");
    printf("+-----+---------------------+\n");
    
}



int main() {
    system("clear");
    char *command = NULL;
    int echoInput = 1;

    //main function loop
    while(1) {
        printf("\nB:>");

        size_t length = 32;
        getline(&command, &length, stdin);


        //Command processing
        if(!strcmp(command, "exit\n")) {
            printf("Shutting down...\n\n");
            break;
        } else if(!strcmp(command, "echo\n")) {
            if(echoInput == 1) {
                printf("Echo ON\n");
            } else {
                printf("Echo OFF\n");
            }
        } else if(!strcmp(command, "cls\n")) {
            system("clear");
        } else if(!strcmp(command, "help\n")) {
            helpGuide();
        } else if(!strcmp(command, "edit\n")) {
            system("./bledit");
        } 
        else {
            printf("Previous input is not recognised as an internal command.\n");
        }
        //End of Command Processing Module

    }
    //End of while loop
    free(command);
    return 0;   
}